# Uses of Class
org.apache.drill.jdbc.AlreadyClosedSqlException

Packages that use AlreadyClosedSqlException
Package
Description
org.apache.drill.jdbc
JDBC driver for Drill.

## Uses of AlreadyClosedSqlException in org.apache.drill.jdbc

Methods in org.apache.drill.jdbc that throw AlreadyClosedSqlException
Modifier and Type
Method
Description
`int`
DrillConnection.`getNetworkTimeout()`
Drill: Returns zero.
`int`
DrillStatement.`getQueryTimeout()`
`void`
DrillConnection.`setNetworkTimeout(Executor executor, int milliseconds)`
Drill: Not supported (for non-zero timeout value).
`void`
DrillStatement.`setQueryTimeout(int seconds)`
Drill: Supported (for non-zero timeout value).